Cancel a refund.
Security
oauth2(Required scopes: loan.refund:cancel) or bearerAuth or apiKeyHeader
POST
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X POST \
'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/refunds/{loanRefundId}/cancel' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"cancellationReason": "wrongAmountOrDetails",
"cancellationReasonDetails": "string",
"caseId": "string"
}'Response
{ "message": "string", "status": 0, "data": { "atFaultParty": "loanOwner", "caseId": "string", "isFullRefund": true, "originalAmount": 0.1, "refundAmount": 1, "refundDate": "2019-08-24", "refundDetails": { … }, "timestamps": { … } } }